export default (mx = 'mx') => {
  let config = require('../js/tableConfig')
  /**模板
 * <p-table
      :selectedRowKeys.sync="mx_selectedRowKeys"
      :scroll="{ x: true }"
      ref="table"
      :columns="mx_columns"
      :remoteUrl="mx_remoteUrl"
      :remoteData="mx_remoteParams"
      dragle
      :rowSelectType="2"
    />
 */

  const _default = {
    data() {
      return {
        [mx + '_remoteUrl']: {
          method: 'post',
          url: ''
        },
        [mx + '_remoteParams']: {},
        [mx + '_columns']: config[mx + '_setMainColumns'](this),
        [mx + '_selectedRowKeys']: []
      }
    },
    methods: {}
  }

  return _default
}
